* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url(images/wp3317222.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed; /* Optional: creates a parallax effect */
    min-height: 100vh;
  /* Fallback color if image fails to load */
    background-color: #63b39f;
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    cursor: url(images/redball-point.png), pointer;
    padding-bottom: 10px;
}

@font-face {
    font-family: manga;
    src: url(fonts/mangafont/CC\ Wild\ Words\ Roman.ttf);
}
@font-face {
    font-family: SaintCarell;
    src: url(fonts/SaintCarell/SaintCarell_PERSONAL_USE_ONLY.otf);
}
@font-face {
    font-family: finalfantasy;
    src: url(fonts/finalfantasy/reina-sans.otf);
}

a {
    cursor: url(images/cursor/redeye_roll1.png), pointer;
    animation: cursor 1s linear infinite;
}
@keyframes cursor{
    0% { 
        cursor: url(images/cursor/redeye_roll1.png), auto;
    }
    33% { 
        cursor: url(images/cursor/redeye_roll2.png), auto;
    }
    66% { 
        cursor: url(images/cursor/redeye_roll3.png), auto;
    }
    100% { 
        cursor: url(images/cursor/redeye_roll4.png), auto;
    }

}


#main{
    border: thick white double;
    width: 80%;
    margin: 0 auto;
    min-height: calc(100vh + 40px);
    display: flex;
    flex-direction: row;
    background-image: url(images/crtscreen.png);
    background-size: cover;
    display: flex;
    flex-direction: column;
    padding: 10px 20px;
}

#header {
    display: flex;
    justify-content: space-between;
}

.oldmovie{
    font-family: SaintCarell;
    font-weight: 800;
    font-size: 5rem;
    margin-top: 0px;
    background: url(images/matrix.gif);
    background-clip: text; 
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.glitter {
    background: url(images/colorbarstv.gif);
    background-clip: text; 
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


#cr1 {
    display: flex;
    justify-content: space-between;
}

#bluebox {
    font-family: finalfantasy;
    color: aliceblue;
    width: 40%;
    background: url(images/ff_menu.png) no-repeat;
    background-size: 100% 100%;
    min-height: 500px;
    margin-top: 2em;
    margin-right: 2em;
    /* height: 500px; */
    /* border: 20px solid transparent;
    border-image: url('images/borderleaves.png') 32 round; */
    /* min-height: calc(100vh - 40px); */
    /* background: linear-gradient(135deg,#0000e5, #0000cc, #0000b2, #000099, #00007f, #000066, #00004c, #000033, #000019, #000000);
    border: solid thick rgba(255, 255, 255, 0.849);
    border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.06) 0px 2px 4px 0px inset; */
    /* background-clip: padding-box; */
    display: flex;
    justify-content: space-between;
    text-shadow: black 2px 2px;
    letter-spacing: 0.15em;
}

#bluebox h3 {
    color: #02dede;
    text-shadow: black 2px 2px;
    letter-spacing: 0.1em;
    font-weight: 300;
}

#bluebox h2 {
    text-shadow: black 3px 3px;
    letter-spacing: 0.25em;
    font-weight: 300;
}

#bluebox .left {
    display: flex;
    flex-direction: column;
    width: 75%;
    /* line-height: 1.5em; */
}
#bluebox .right {
    display: flex;
    flex-direction: column;
    width: 25%;
}

.nav {
    background-color: #63b39f;
    background: url(images/ff_minmenu_top.png);
    background-size: 100% 100%;
    height: 57%;
    padding: 0em 0.5em 0em 0em;
    line-height: 1.5em;
    font-size: 1.2em;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.nav .a {
    letter-spacing: 0.4em; 
    text-decoration: none;
    color: aliceblue;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: none !important;
}


.nav .pointer {
    height: 100%;
    display: flex;
    justify-content: flex-start;
    margin-left: -1em;
    cursor: none;

}
.nav .pointer .glove{
    height: 42px;
    width: 45px;
    align-self: flex-end;
    margin-right: 0.5em;
    visibility: hidden;

}
.time {
    background: url(images/ff_minmenu_mid.png);
    background-size: 100% 100%;
    height: 16%;
    padding: 1em 0.2em 1em 0.2em;
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 1em;
    font-size: large;
}
.updates {
    background: url(images/ff_minmenu_bottom.png);
    background-size: 100% 100%;
    height: 27%;
    padding: 0.8em 1em 0.5em 1em;
}

.mood {
    border: 9px solid transparent;
    border-image: url(images/ff_border.png) 24 round;
    width: fit-content;
    font-size: large;
    padding: 0em 0.3em 0em 0.3em;
}
.myinfo {
    display: flex;
    justify-content: flex-start;
    padding: 1em 0.4em 1em 0.7em;
}

.stats {
    display: flex;
    flex-direction: column;
    font-size: large;
    line-height: 1.1em;
}

.stats h2 {
    padding-bottom: 0.5em;
}
.stats h3,p{
    display: inline;
}

.stats div {
    padding-left: 1.5em;
}

.profileimg{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.thoughts {
    border: 9px solid transparent;
    border-image: url(images/ff_border.png) 24 round;
    font-size: 1.1em;
    padding: 0em 0.3em 0em 0.5em;

}




.musicplayer {
    position: fixed;
    z-index: 1;
    bottom: 0; 
    right: 3em;
    height: 517.6px;
    width: 197.5px;
    background-image: url(images/Caroline-player.png);
    background-size: contain

}

.musicplayer .bubble{
    height: 130px;
    width: 110px;
    margin-left: 80px;
    margin-top: 43px;
}
.musicplayer .nowplaying{
    height: 110px;
    width: 100px;
    background-color: #fefefe;
    font-family: manga, monospace;
    padding-left: 5px;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;

}

.nowplaying div{

    width: 100px;
    margin: 0;
    text-align: center;
    text-wrap: balance;
    flex-basis: 100%;
    word-wrap: break-word;
    display: block;
    line-height: 1.2em;

} 

.nowplaying .title {
    height: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
}


.musicplayer .buttons{
    padding-top: 10px;
    /* padding-right: 4px; */
    display: flex;
    justify-content: space-evenly;

}

.musicplayer .buttons button{
    background: none;
    border: none;
    max-width: 20px;
    max-height: 20px;
    cursor: url(images/cursor/redeye_roll1.png), pointer;
    animation: cursor 1s linear infinite;
}


.musicplayer .buttons img{
    max-width: 20px;
    max-height: 20px;
}

.pause{
    max-width: 20px;
    max-height: 20px;
}